<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [switchCity](./bitburner.bladeburner.switchcity.md)

## Bladeburner.switchCity() method

Travel to another city in bladeburner.

<b>Signature:</b>

```typescript
switchCity(name: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  name | string |  |

<b>Returns:</b>

boolean

true if successful, and false otherwise

## Remarks

RAM cost: 4 GB Attempts to switch to the specified city (for Bladeburner only).

Returns true if successful, and false otherwise

